버전 스택 하위 항목 나열

List the children (files) in a given version stack. <br/>Use the `include` query parameter to selectively include additional properties in the response. <br/>Note: if you include `media_links.original` and the user does not have permission to download files in the corresponding project, then this endpoint will respond with a `403 Forbidden` error. If the content is inaccessible because watermarking is required for this user and isn't supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including `media_links.video_h264_180` on a static image file) or transoding process hasn't finished (i.e. the file's `status` is "uploaded" rather than "transcoded"), then the a media link will also be set to null in the response payload. In short, the client must handle null media links gracefully. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user

인증

AuthorizationBearer

Bearer <token> 형식의 Bearer 인증. 여기서 token은 인증 토큰입니다.

경로 매개변수

account_idstring필수
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
version_stack_idstring필수
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

헤더

api-versionenum필수
허용된 값:

쿼리 매개변수

includeenum선택 사항
Supported include query parameter values for endpoints that return files with media links
sortenum선택 사항

Sort version stack children by name or created_at

afterstring선택 사항

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeinteger선택 사항1-100기본값 50
Page size query param for requests
include_total_countboolean선택 사항기본값 false
Page query param to include the count of all entities

응답 헤더

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

응답

OK
datalist of objects
Assets
total_countinteger or null선택 사항
Total count

오류

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error